borgfs(1)

Name
borgfs - Mounts an archive or an entire repository as a FUSE filesystem.

SYNOPSIS

borgfs [options] MOUNTPOINT [PATH...]

DESCRIPTION

For more information, see borg mount --help.

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

    MOUNTPOINT
        where to mount the filesystem

    PATH
        paths to extract; patterns are supported

  options

    --config
        Path to a configuration file.

System Message: WARNING/2 (docs/borgfs.rst:, line 51)
    Option list ends without a blank line; unexpected unindent.

    --print_config [=flags] Print the configuration after applying all other arguments and exit. The optional flags customizes the output and are one or more keywords separated by comma. The supported flags are: skip_default, skip_unset. -V, --version show version number and exit --cockpit Start the Borg TUI -f, --foreground stay in foreground, do not daemonize -o extra mount options --numeric-ids use numeric user and group identifiers from archives

  Archive filters

    -a PATTERN, --match-archives PATTERN
        only consider archives matching all patterns. See "borg help match-archives".

    --sort-by KEYS
        Comma-separated list of sorting keys; valid keys are: timestamp, archive, name, id, tags, host, user; default is: timestamp

    --first N
        consider the first N archives after other filters are applied

    --last N
        consider the last N archives after other filters are applied

    --oldest TIMESPAN
        consider archives between the oldest archive's timestamp and (oldest + TIMESPAN), e.g., 7d or 12m.

    --newest TIMESPAN
        consider archives between the newest archive's timestamp and (newest - TIMESPAN), e.g., 7d or 12m.

    --older TIMESPAN
        consider archives older than (now - TIMESPAN), e.g., 7d or 12m.

    --newer TIMESPAN
        consider archives newer than (now - TIMESPAN), e.g., 7d or 12m.

  Include/Exclude options

    -e PATTERN, --exclude PATTERN
        exclude paths matching PATTERN

    --exclude-from EXCLUDEFILE
        read exclude patterns from EXCLUDEFILE, one per line

    --pattern PATTERN
        include/exclude paths matching PATTERN

    --patterns-from PATTERNFILE
        read include/exclude patterns from PATTERNFILE, one per line

    --strip-components NUMBER
        Remove the specified number of leading path elements. Paths with fewer elements will be silently skipped.

SEE ALSO

borg-common(1)

Author
The Borg Collective